Support » Plugin: WooCommerce » Woocommerce plugin “Invalid subscription customer_id.” message at checkout

  • Resolved spartan0

    (@spartan0)


    Users trying to purchase a subscription are getting an “Invalid subscription customer_id.” message and are unable to complete their purchase. I saw an old post of this issue months ago, https://wordpress.org/support/topic/woocommerce-invalid-subscription-customer_id-message-at-checkout/. The solutions given it suppose to be “meantime” was to disable this functions:

    – Allow customers to place orders without an account
    – Allow customers to log into an existing account during checkout

    But actually this is not the best solution for my target customers.

    This answer was some months ago. Is there actually any other better solution?

    I rollback to 4.6. to solve the issue, but I would prefer to have the latest version.

    THX for your time

    The page I need help with: [log in to see the link]

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Support Rashed Ripon (a11n)

    (@rur165)

    Hello @spartan0 ,

    Are you using this WooCommerce subscription extension and getting the issue?

    While this is about WooCommerce we suggest you create a ticket directly on WooCommerce.com. Most of our contributors do not have access to premium extensions so it might take longer for someone to take a look at this.

    Thank you 🙂

    Thread Starter spartan0

    (@spartan0)

    Yes, I have the extension, but the problem is with the regular WooCommerce version I suppose. The extension works well, because I rollback the WooCommerce plugin and actually works great, but it is not up to date. It is suppose to be corrected by the WooCommerce team but there are no news until today.

    Thanks

    Plugin Support Rashed Ripon (a11n)

    (@rur165)

    Hello @spartan0 ,

    I understand your concern.

    In this case, if the problem only occurs with this extension exclusively, then there is a high chance that it will be fixed on the extension side. Most of the time, if WooCommerce is coming with a change, the extensions are updated to be compatible with WooCommerce changes.

    I looked for the issue on the WooCommerce GitHub issue list but could not find any. A better chance to get up to date information will be asking the extension support team via WooCommerce.com’s ticket.

    Thank you 🙂

    Plugin Support Rashed Ripon (a11n)

    (@rur165)

    Hi there,

    We’ve not heard back from you in a while, so I’m marking this thread as resolved.

    Hopefully, you were able to find a solution to your problem! If you have further questions, please feel free to open a new topic.

    Thank you 🙂

    Hi,

    Any updates on this issue as I am also waiting for the fixes.

    Since there are updates take placed in woocommerce I assuming that the fixes are already done so I am enabling back again the following options but the issues are still there (refer to screenshots below).

    – Allow customers to place orders without an account
    – Allow customers to log into an existing account during checkout

    Settings:https://prnt.sc/10i10et
    Woocommerce Version: https://prnt.sc/10i14gw
    Error:https://prnt.sc/10i12jl

    Please help to resolve as I don’t want to revert back to older version 4.6 in which my hosting it will flag the plugin needed the latest version.

    Thank you

    Thread Starter spartan0

    (@spartan0)

    I am the same as you @denniscabasal. I’m running on 4.6 version because this is the only way to make it work. Looks like WooCommerce only cares about making money but they are unable to fix their own issue. I’m tired of waiting so possibly I am moving to another plugin.

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Woocommerce plugin “Invalid subscription customer_id.” message at checkout’ is closed to new replies.